- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Examples
- Try it!
Creates a new ManagedZone.
Note: While dns.managedZones.create is the baseline permission required to invoke this method, additional permissions are required if the managed zone configuration references other resources.
HTTP request
POST https://dns.googleapis.com/dns/v1/projects/{project}/managedZones
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Identifies the project addressed by this request. |
Query parameters
| Parameters | |
|---|---|
clientOperationId |
For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection. |
Request body
The request body contains an instance of ManagedZone.
Response body
If successful, the response body contains a newly created instance of ManagedZone.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ndev.clouddns.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the project resource:
dns.managedZones.create
For more information, see the IAM documentation.